package com.tofly.watermeter.custom.service.statisticanalysis;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.HashMap;
import java.util.List;

public interface IReportManagementService {

    List getEconomicBenefit(String startDate, String endDate);

    Page<HashMap<String,Object>> getEconomicBenefitDetail(Page page, String startDate, String endDate, String rectifyType);

    List getQualityStatistics(String startDate, String endDate,String queryType);

    Page getQualityStatisticsDetail(Page page,String yearMonth, String zglx);

    List getManagementBenefit(String queryType, String startDate, String endDate, String cbpq);

    Page getUnqualifiedQuantityDetail(Page page,String queryDate, String cbpq);

    List getPassRateDetail(String startDate, String endDate, String cbpq);

    HashMap<String,String> getRectifyByNumber(String rectifyNumber);
}
